//
// AjaxAPI.h
// Project
//
// Created by haibara on 5/12/17.
//
//

#import <Foundation/Foundation.h>
#import "JavaAppAjaxDo.h"

@interface BusAjaxDo : JavaAppAjaxDo
@end

@interface CalculatePriceAjaxDo : BusAjaxDo
@end

@interface GetPrices : CalculatePriceAjaxDo
@property (nonatomic, strong)NSString *pids;
@property (nonatomic, strong) NSString *service_date;
@end

@interface ProductAiPriceBean : NSObject
@property (nonatomic, assign) NSInteger pid;
@property (nonatomic, assign) CGFloat adultPrice;
@property (nonatomic, strong) NSArray<GetProductOptionsResponsePeopleType *> *price;
@end

@interface GetPricesResponse : NSObject
@property (nonatomic, strong)NSArray<ProductAiPriceBean *> *prices;
@end

@interface GetPersonPrices : CalculatePriceAjaxDo
@property (nonatomic,assign) NSInteger pid;
@property (nonatomic,strong) NSString *date;
@property (nonatomic,assign) NSInteger departureStopId;
@property (nonatomic,assign) NSInteger arrivalStopId;
@property (nonatomic, strong) NSMutableDictionary *personData;
@end

@interface StockAjaxDo : BusAjaxDo
@end

@interface SelfCheckInPending : StockAjaxDo
@property (nonatomic, strong)NSString *stockIds;
@end

@interface SelfCheckInPendingResponse : NSObject
@property (nonatomic, assign) BOOL success;
@end


