//
// BusWS.h
// GoToBus
//
// Created by haibara on 9/15/14.
//
//

#import <Foundation/Foundation.h>
#import "JavaSearchWS.h"
#import "BusSearchData.h"

@interface BusWS : JavaSearchWS
@end

@interface SearchBus : BusWS
@property (nonatomic, assign) BOOL isRoundTrip;
@property (nonatomic, strong) NSString *departureCity;
@property (nonatomic, strong) NSString *arrivalCity;
@property (nonatomic, strong) NSString *startDate;
@property (nonatomic, strong) NSString *returnDate;
@property (nonatomic, strong) NSString *pageUrl;
@property (nonatomic, assign) NSInteger vendorId;
@property (nonatomic, assign) BOOL isRescheduleBus;
@property (nonatomic, assign) BOOL isBusHotelPackage;
@end

@interface SearchBusListBean : NSObject
@property (nonatomic, assign)NSArray<BusSearchData *> *route;
@property (nonatomic, strong) NSArray<BusSearchRemark *> *specialRemark;
@end

@interface SearchBusResponse : NSObject
@property (nonatomic, strong)SearchBusListBean *departureList;
@property (nonatomic, strong) SearchBusListBean *arrivalList;
@property (nonatomic, strong) NSString *departureCity;
@property (nonatomic, strong) NSString *arrivalCity;
@end
